{% extends 'base.html.twig' %}
{% block title %}Addresses{% endblock %}
{% block page %}Addresses{% endblock %}
{% block body %}
    <div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-primary">
                        <h4 class="card-title ">Address</h4>
                        <p class="card-category">List of addresses</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table-striped">
                            <table class="table">
                                <thead class=" text-primary">
                                <th>ID</th>
                                <th>Street</th>
                                <th>City</th>
                                <th>Post code</th>
                                <th>Country</th>
                                <th class="text-center">Actions</th>
                                </thead>
                                <tbody>
                                {% for address in addresses %}
                                    <tr>
                                        <td>{{ address.id }}</td>
                                        <td>{{ address.street }}</td>
                                        <td>{{ address.city }} </td>
                                        <td>{{ address.postCode }}</td>
                                        <td>{{ address.country }}</td>
                                        <td class="text-center">
                                            <a class="address-edit" data-id="{{ address.id }}" href="#" data-toggle="modal" data-target="#modal">
                                                {#                                            <a class="account-edit" href="{{ path('page_edit', {'id': page.id }) }}">#}
                                                <i class="material-icons">edit</i>
                                            </a>
                                            {#                                            <a class="page-delete"#}
{#                                            <a class="address-delete" href="{{ path('admin_address_delete', {'id': address.id }) }}"#}
{#                                               onclick="return confirm('Are you sure you want to delete this address?')">#}
{#                                                <i class="material-icons">delete</i>#}
                                            </a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>{% endblock %}
{% block javascripts %}
    <script type="text/javascript">
        $(function() {
            const $modal = $('#modal');
            const $modalBody = $modal.find('.modal-body');
            const $modalTitle = $modal.find('.modal-title');
            $modalTitle.html('Address edit')
            $('.address-edit').on('click', function() {
                event.preventDefault()
                const id = $(event.currentTarget).data('id')
                $.get('/admin/address/'+id+'/edit')
                    .done((response) => {
                        $modalBody.html(response)
                        $modal.modal('show')
                    })
            })
        });
    </script>
{% endblock %}
